package com.ruoyi.project.pssr.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.pssr.mapper.TPssrLockMapper;
import com.ruoyi.project.pssr.domain.TPssrLock;
import com.ruoyi.project.pssr.service.ITPssrLockService;

/**
 * 锁开锁关阀门状态Service业务层处理
 *
 * @author ssy
 * @date 2024-09-18
 */
@Service
public class TPssrLockServiceImpl implements ITPssrLockService
{
    @Autowired
    private TPssrLockMapper tPssrLockMapper;

    /**
     * 查询锁开锁关阀门状态
     *
     * @param id 锁开锁关阀门状态ID
     * @return 锁开锁关阀门状态
     */
    @Override
    public TPssrLock selectTPssrLockById(Long id)
    {
        return tPssrLockMapper.selectTPssrLockById(id);
    }

    @Override
    public int selectNoConfirmCount(Long subId)
    {
        return tPssrLockMapper.selectNoConfirmCount(subId);
    }
    /**
     * 查询锁开锁关阀门状态列表
     *
     * @param tPssrLock 锁开锁关阀门状态
     * @return 锁开锁关阀门状态
     */
    @Override
    public List<TPssrLock> selectTPssrLockList(TPssrLock tPssrLock)
    {
        return tPssrLockMapper.selectTPssrLockList(tPssrLock);
    }

    /**
     * 新增锁开锁关阀门状态
     *
     * @param tPssrLock 锁开锁关阀门状态
     * @return 结果
     */
    @Override
    public int insertTPssrLock(TPssrLock tPssrLock)
    {
        return tPssrLockMapper.insertTPssrLock(tPssrLock);
    }

    /**
     * 修改锁开锁关阀门状态
     *
     * @param tPssrLock 锁开锁关阀门状态
     * @return 结果
     */
    @Override
    public int updateTPssrLock(TPssrLock tPssrLock)
    {
        return tPssrLockMapper.updateTPssrLock(tPssrLock);
    }

    /**
     * 批量删除锁开锁关阀门状态
     *
     * @param ids 需要删除的锁开锁关阀门状态ID
     * @return 结果
     */
    @Override
    public int deleteTPssrLockByIds(Long[] ids)
    {
        return tPssrLockMapper.deleteTPssrLockByIds(ids);
    }

    /**
     * 删除锁开锁关阀门状态信息
     *
     * @param id 锁开锁关阀门状态ID
     * @return 结果
     */
    @Override
    public int deleteTPssrLockById(Long id)
    {
        return tPssrLockMapper.deleteTPssrLockById(id);
    }
}
